
Infrastructure - Bug #7250

Accounts endpoint throwing exception

2015-07-07 19:00 - Andrei Buium

Status: Closed Start date: 2015-07-07

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Accessing the accounts endpoints:

https://cn-dev-ucsb-1.test.dataone.org/cn/v1/accounts

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/accounts

Yields a ServiceFailure:

Internal Server Error: The server encountered an unexpected condition which prevented it from fulfilling the request.

 

Related issues:

Duplicates Infrastructure - Bug #7258: Get an exception on https://cn-dev.tes... Closed 2015-07-15

History

#1 - 2015-08-05 23:34 - Ben Leinfelder

- % Done changed from 0 to 30

- Milestone changed from None to CCI-2.0

- Category set to d1_identity_manager

- Status changed from New to In Progress

- Target version set to CCI-2.0.0

There was a "cn=test,dc=cilogon,dc=org" entry in LDAP that was classified as a d1Principal and also a group and did not have a "sn" attribute. This

resulted in a null familyName and JIBX threw an exception when serializing the SubjectInfoList.

I removed this entry from the dev LDAP server, but I'd like to know how it got in there so we can make sure it does not happen again.

#2 - 2015-08-06 00:22 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

#3 - 2015-08-06 19:49 - Ben Leinfelder

- Duplicates Bug #7258: Get an exception on https://cn-dev.test.dataone.org/cn/v2/accounts added
